"It looks like you haven't started Firefox in a while" message despite running Firefox daily
I'm getting the message to Reset Firefox on my Firefox beta (32.0) despite running Firefox daily for a living.

Did we regress here? I saw bug  but it's an old one.
